Bug 255781 - network monitor applet in gnome doesn't shows proper signal strength
network monitor applet in gnome doesn't shows proper signal strength
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-27 01:05 EDT by Deependra Singh Shekhawat
Modified: 2008-02-13 15:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-13 15:31:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Deependra Singh Shekhawat 2007-08-27 01:05:43 EDT
Description of problem:
Network Monitor applet in gnome panel doesn't shows proper signal strength. Goes
to no signal strength and suddenly shows proper signal strength. This happens
regularly in gap of few seconds.

Version-Release number of selected component (if applicable):
iwlwifi (intel wireless kernel module) - 0.1.8kd

How reproducible:
Update fedora7 with latest kernel available at the moment. Add a new applet that
is Network Monitor by right clicking the gnome panel and selecting Add to Panel.
.. option. Then use your wireless connection to access internet and notice the
signal strength indicator on the right side of the Network Monitor it shows
proper strength and suddenly shows null signal strength (red mark at the bottom)
 and it does this the whole time keep switching.

Additional info:
Note that I am not using NetworkManager any how. I have disabled it completely
and only using system-config-network.
And this problem is occuring with the latest kernel upgrade only that's why I
choosed it as kernel component problem. With older kernel I never had this problem.
Expected results:
The network monitor's function in a gnome panel is to show the proper signal
strength at all times which it doesn't shows.

Any other information needed , please let me know I will send that too.
Comment 1 Christopher Brown 2007-09-30 08:58:42 EDT

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.


I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 2 Deependra Singh Shekhawat 2007-09-30 12:33:31 EDT

Thanks for replying here. I am currently using
and still I face this issue.
Comment 3 Christopher Brown 2007-09-30 12:48:15 EDT
Okay, thanks for the info Deependra. I am re-assigning this to the relevant
maintainer who is best placed to review this issue for you. As this is not
affecting your wireless connection I have changed the priority. 

You might want to try either a development (rawhide) kernel as well if you are
able to. 

You may also wish to test the latest version of Fedora 8 which is shortly to be
released as this would help close outstanding issues before it is released. You
can get the latest live cd from:


Comment 4 Deependra Singh Shekhawat 2007-09-30 12:52:51 EDT
Yeah I will be installing fedora8 test2 in a few hours. The download is about to
finish soon.
Will let you know here how things goes on.
Comment 5 Deependra Singh Shekhawat 2007-10-02 10:07:52 EDT
Okay here I am using fedora8 test2 live cd (gnome) and the network monitor still
shows the same problem. Just the difference here is that the frequency of the
problem has gone down. That means now it shows 0 strength relatively fewer
number of times as it was showing earlier with fedora7.
Comment 6 John W. Linville 2007-10-22 10:01:41 EDT
Would you mind testing these F8-based kernels?


Do they improve the situation for you?
Comment 7 Deependra Singh Shekhawat 2007-11-10 22:35:48 EST

Right Now I have access to only the Belkin Wireless Router that is not working
with iwl3945. Which I have mentioned in my other bug entry. As soon as I will
get the Huawei Router I will test the latest F8 kernel:

Which currently for me is


Comment 8 Deependra Singh Shekhawat 2007-11-15 15:41:47 EST

I finally got my hands on wireless on Fedora8 and I enabled the network monitor
applet in gnome's panel. The same problem is occurring in fedora8 too but less

Comment 9 Christopher Brown 2008-01-13 13:35:53 EST
Hello Deependra,

Any improvement with later kernels or the recent NetworkManager update?

Changing to Fedora 8...
Comment 10 John W. Linville 2008-02-13 15:31:23 EST
Closed due to lack of response...

Note You need to log in before you can comment on or make changes to this bug.